#!/bin/bash
# Script: e17install - Install e17 cvs with libs
# Author: Steffen Wirth alias bert2002
# Date: 16.5.05
# Version: 0.4
# www.pissflitsche.net/e17
clear
if [ `id -un` != root ] ; then 
	echo "Please start the script as root"
	exit 0
fi
if [ -x /usr/bin/cvs ]; then
	echo "cvs: Okay"
else
	if [ -x /usr/local/bin/cvs ]; then
		echo "cvs: Okay"
	else
		echo "cvs: Error"
		echo "Do you have install cvs? I didnt find in /usr/bin/ or /usr/local/bin/"
		exit 0
	fi
	
fi
echo "-- e17 cvs install --"
echo "Do you want Install Enlightenment 17 from cvs? [y/n]"
read enl
case "$enl" in
'y')
	cd ~
	cvs -d:pserver:anonymous:@cvs.sourceforge.net:/cvsroot/enlightenment login || echo "Couldnt login to cvs server" || exit 0
	cvs -z3 -d:pserver:anonymous:@cvs.sourceforge.net:/cvsroot/enlightenment co e17 || echo "Error to get the source" || exit 0
	cvs -z3 -d:pserver:anonymous:@cvs.sourceforge.net:/cvsroot/enlightenment co misc || echo "Error to get the source" || exit 0
	mkdir ./e17/log/ 2> /dev/null
	rm -rf ./e17/log/*.log 2> /dev/null
	unset fehler
	
	echo "----------------"
	echo "Install libaries" && sleep 1
	for ilib in e17/libs/edb e17/libs/eet e17/libs/imlib2 e17/libs/imlib2_loaders e17/libs/evas e17/libs/ecore e17/libs/epeg e17/libs/epsilon e17/libs/embryo e17/libs/edje e17/libs/esmart e17/libs/emotion e17/libs/etox e17/libs/ewl e17/libs/engrave ; do
		cd ~ && cd $ilib
		./autogen.sh --libdir=/usr/lib/ && make 2> ~/e17/log/`echo $ilib | cut -d / -f3`.log || fehler=1
		if [ fehler == 1 ] ; then 
		tail -f  ~/e17/log/`echo $ilib | cut -d / -f3`.log
		echo "Error to build /root/$ilib"
		exit 0
		fi
		make install && ldconfig
	done 
	clear
	
	echo "------------"
	echo "Install Apps" && sleep 1
	for iapp in e17/apps/iconbar e17/apps/entice e17/apps/entrance e17/apps/elicit e17/apps/e misc/engage e17/apps/erss e17/apps/e_utils e17/apps/e_modules  ; do
		cd ~ && cd $iapp
		./autogen.sh && make 2> ~/e17/log/`echo $iapp | cut -d / -f3`.log  || fehler=1
		if [ fehler == 1 ] ; then
		tail -f  ~/e17/log/`echo $iapp | cut -d / -f3`.log
		echo "Error to build /root/$ilib"
		exit 0
		fi
		make install && ldconfig
	done
	cd /root/e17/log/ 2> /dev/null
	for ilog in `ls` ; do
		if [ -s $ilog ]; then
			echo ""
		else
			rm $ilog 2> /dev/null
		fi
	done

	
	if [ -x /usr/local/bin/enlightenment ] ; then
		echo "startx /usr/local/bin/enlightenment" > /usr/local/bin/e17 && chmod a+x /usr/local/bin/e17
	else
		echo "Cannot locate enlightenment. Is everything compiled correctly?"
		echo "Please look in /root/e17/log/ to find an error."
		exit 0
	fi
	clear
	echo "We Install followed libs: edb, eet, imlib2, imlib2_loaders, evas, ecore, epeg, epsilon, embryo, edje, esmart, emotion, etox, ewl ans engrave"
	echo "and the followed apps: iconbar, entice, entrance, elicit, e, engage, erss, e_utilsans e_modules"
	echo "Enlightenment has more applications as we installed, look: /root/e17/apps/ and /root/misc/ "
	echo "An Error Log you can find in: /root/e17/log/"
	echo "You can Start enlightenment with 'e17' in one tty. Please close X before xou start."

	;;
'n')
	echo "Why not? e17 is perfect."
	;;
*)
	echo "Wrong answer - restart $0"
esac
